package com.iformall.mapper;

import com.iformall.common.CommonMapper;
import com.iformall.domain.po.WxCouponPassword;
import com.iformall.domain.vo.WxCouponPasswordCountInfoVO;

import java.util.List;

public interface WxCouponPasswordMapper extends CommonMapper<WxCouponPassword, Long> {

	List<WxCouponPassword> findList(WxCouponPassword wxCouponPassword);

	List<WxCouponPassword> findAvaPasswordListByCouponId(WxCouponPassword wxCouponPassword);

	void insertCouponPasswds(List<WxCouponPassword> pwdlist);
	int disableByCouponId(Long couponId);
	int downloadByCouponId(Long couponId);
    List<WxCouponPassword> findCouponGroupList(WxCouponPassword wxCouponPassword);

    List<WxCouponPasswordCountInfoVO> findCouponCountInfo(WxCouponPassword wxCouponPassword);

    void updateStatus(List<WxCouponPassword> tempList);

}
